## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanElemAttributeSetAllocator Class Reference

List of all members.

## Public Types

- typedef ElemAttributeSet data_type
- typedef ArenaAllocator< data_type > ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Member Functions

- XalanElemAttributeSetAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size.
- ~XalanElemAttributeSetAllocator ()
- data_type * create (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const AttributeListType &atts, int lineNumber, int columnNumber)
    Construct an instance.
- bool ownsObject (const data_type *theObject)
    Determine if an object is owned by the allocator...
- void reset ()
    Delete all objects from the allocator.
- size_type getBlockCount () const
    Get the number of ArenaBlocks currently allocated.
- size_type getBlockSize () const
    Get size of an ArenaBlock, that is, the number of objects in each block.

## Member Typedef Documentation

typedef ArenaAllocator<data_type> XalanElemAttributeSetAllocator::ArenaAllocatorType

typedef ElemAttributeSet XalanElemAttributeSetAllocator::data_type

typedef ArenaAllocatorType::size_type XalanElemAttributeSetAllocator::size_type

## Constructor & Destructor Documentation

XalanElemAttributeSetAllocator::XalanElemAttributeSetAllocator | ( | MemoryManagerType & | theManager,
|  | size_type | theBlockCount
| ) |

  | Construct an instance that will allocate blocks of the specified size. Parameters:
  theBlockSize | The block size.

XalanElemAttributeSetAllocator::~XalanElemAttributeSetAllocator | ( |  | ) |

## Member Function Documentation

data_type* XalanElemAttributeSetAllocator::create | ( | StylesheetConstructionContext & | constructionContext,
|  | Stylesheet & | stylesheetTree,
|  | const AttributeListType & | atts,
|  | int | lineNumber,
|  | int | columnNumber
| ) |

  | Construct an instance. Parameters:
  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document
Returns: A pointer to the new instance.

size_type XalanElemAttributeSetAllocator::getBlockCount | ( |  | ) | const

| Get the number of ArenaBlocks currently allocated. Returns: The number of blocks.

size_type XalanElemAttributeSetAllocator::getBlockSize | ( |  | ) | const

| Get size of an ArenaBlock, that is, the number of objects in each block. Returns: The size of the block

bool XalanElemAttributeSetAllocator::ownsObject | ( | const data_type * | theObject | ) |

| Determine if an object is owned by the allocator...

void XalanElemAttributeSetAllocator::reset | ( |  | ) |

| Delete all objects from the allocator.

The documentation for this class was generated from the following file:

- XalanElemAttributeSetAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.